Jump to content
polodojo

Older version not available for iPad Mini - iOS 9

Recommended Posts

I bought a new iPad Mini (original, version 1) for kids for about $150 which I find reasonable.

It's disappointing Evernote is no longer available for download for iOS v9. Why is that? Not even available for download from the Apple Store???

iOS 9 is not that old and it was only discontinued recently. Still I don't understanding why doesn't Evernote provide an older version for download.

Now I am supposed to try to jailbreak the tablet to get it sideload I guess.

I am paying for Evernote for my person account.

I don't to spend more moeny to purchase a newer iPad.

Just allowing it download would be a fair. I am not asking for support.

Share this post


Link to post

Hi.  I can see Evernote's point - the most recent versions of any OS are (usually) the most capable.  The latest iOS and 3D modelling forinstance.  Evernote,  like all other developers,  will presumably take advantage of as many of the new features as they can so as to provide the best experience for their users - which means that users with older OS's will increasingly be left out of the loop when it comes to Evernote improvements.  Their OS just won't be capable enough to run them well,  or at all.  Plus for each new development in Evernote,  someone has to look at all the other 'older' OS's to check whether some or all of the new functionality can be added in a different way by some expert coding in the old language.

Evernote has to maintain programmers who can deal with older operating systems,  and will continue getting lots of flack from older OS users because their devices don't have access to features that everyone else can use as part of their paid-for package.

Having said all of which.  Wider Wiser heads than I 1have mentioned that when installing / upgrading from the Apple store,  you should be offered a version of the app which works with your existing OS.  (I'm not an Apple user,  so no practical experience here.)

If that's not the case,  older versions of Evernote may be available if you search the web,  but I'm not aware of any sites which offer them offhand.  Sorry..  :(

Share this post


Link to post
4 hours ago, polodojo said:

I bought a new iPad Mini (original, version 1) for kids for about $150 which I find reasonable.

It's disappointing Evernote is no longer available for download for iOS v9. Why is that? Not even available for download from the Apple Store???

iOS 9 is not that old and it was only discontinued recently. Still I don't understanding why doesn't Evernote provide an older version for download.

Now I am supposed to try to jailbreak the tablet to get it sideload I guess.

I am paying for Evernote for my person account.

I don't to spend more moeny to purchase a newer iPad.

Just allowing it download would be a fair. I am not asking for support.

They would still have to support it though.

  1. They would need to provide ongoing security and privacy fixes.
  2. They would need to continually modify it to support the ever-changing Evernote servers in how they handle the sync operation.
  3. They would need to modify it to support changes to the Evernote service itself so it at a minimum didn't trash new and/or modified features. For example, how would the old client that supports OS 9 handle the new tables? Would it trash them outright? Would it only trash them if you opened a note with one? Would it trash it if you modified other content in the note but not the table? And that is just one example, all of which have to be tested for.

Evernote supports all current devices that Apple deems "current."  The original iPad Mini was released in 2012. That is 5 years old now, and ancient in computer terms. It has a 32bit processor and no secure enclave. Apple has 100% abandoned 32 bit processors for iOS devices, the last of which I believe shipped in 2013 with the iPhone 5C. All other 2013 phones and iPads had moved to the 64 bit processor. I doubt if Evernote even has the capability to compile a 32bit iOS app any longer, much less test with.

If you want to get irritated at anyone, get irritated at Apple. They really dictate what developers support. And when you consider Apple supports the iPhone 5S (2013), and all 2014 and later devices, that is quite a feat compared to what other OEMs support.

You just got caught with the last 32bit iPad Mini, and that is really what has caused there to be such a hard line between what Apple will/won't support.

Share this post


Link to post

I dug into this deeper and here is what I learned.

The issue is more widespread, there are non-profits such as public schools with 100's or 1000's of devices that now been rendered incompatible because of Apple policy of not allowing downloads. The issue is because the application developers (so far I identified Evernote and Google Drive as 2 major apps affected) have stopped supporting 32bit systems (that's understandable, so I am not blaming Evernote anymore) and only 64bit versions of the apps are being continued to be developed. Apple strict store policy does not allow a user to download an older version of the application (32-bit version in this case) IF the user hasn't downloaded the particular application in the past. In other worlds if user has downloaded in the past, app store will enable re-downloading it again (albeit an older compatible 32bit version of the app). The policy is briliant as it turns the devices to junk overnight and because Apple has lock on the hardware even after it discontinues support, it would force the organizations (that assign the devices to new/sharing users frequently) to upgrade.

Jailbreaking is I guess illegal and turns out is not a panacea to solve it. There are no readily available Google Drive or Evernote Note apps on Cydia store (why would they be there) except for a few attempts on old tweaked versions from less than trust-worthy places promising "unlimited access". Would stay away from those.  Sideloading the apps may solve the problem if you trust having some Chinese signing certificate on the device and keep sideloading the app year after year to refresh the cerificate. May work for some but that still requires a working version of IPA file. (From here: Maybe from a backup?, Couldn't find good sources online)

Another solution perhaps* is ask your friends to login temporarily to iTunes and download the old versions of the apps and then they can log out of their account. The apps stay installed but you can't update them since not logged into the appropriate Apple account (but who cares since the apps are not being updated anyway, see above). That's I guess most reasonable way to resolve it other than purchasing a new device.

* Disclaimer - while you should be OK with iCloud and iTunes backup, you will get errors from iTunes if you try to sync the device. The errors may indicate the apps can't be synced because the account is not logged iTunes. If you get the error message, the solution may be to remove iTunes and data and set it up again.

  • Like 2

Share this post


Link to post

I encounter similar problem (except I didn't pay for evernote).

Recently I have bought an iphone 6s which uses ios 10.0.2. I don't want to update to ios11 coz I heard there are many bugs.

BTW, i don't think this solution works anymore. Apple just removed app store from itunes.

https://www.theverge.com/2017/9/12/16298988/apple-itunes-desktop-update-removes-app-store 

22 hours ago, polodojo said:

 

Another solution perhaps* is ask your friends to login temporarily to iTunes and download the old versions of the apps and then they can log out of their account. The apps stay installed but you can't update them since not logged into the appropriate Apple account (but who cares since the apps are not being updated anyway, see above). That's I guess most reasonable way to resolve it other than purchasing a new device.

* Disclaimer - while you should be OK with iCloud and iTunes backup, you will get errors from iTunes if you try to sync the device. The errors may indicate the apps can't be synced because the account is not logged iTunes. If you get the error message, the solution may be to remove iTunes and data and set it up again.

 

Share this post


Link to post
On 10/16/2017 at 3:26 AM, Jennie Wong said:

Recently I have bought an iphone 6s which uses ios 10.0.2. I don't want to update to ios11 coz I heard there are many bugs.

  1. There are a LOT of very substantial security bugs in 10.0.2 that have been fixed for a long time. At the very least you should be on 10.3.3 I think it is.
  2. I've been on 11 now for a few weeks, now 11.0.4. What bugs are you referring to?

Share this post


Link to post

I hope polodojo has already solved this problem. Recently, after borrowing an iPad mini from one of my friends, I came to know of this problem. After some trials and errors, it seems to me that the best way is to make use of iTunes v12.1 or v12.6.3. (We are going back to the past environment.) Those PAST iTunes' allow you to (1) access the App Store and (2) get the Evernote app, to (3) sync the information with your iPad mini. After syncing, check your iPad mini App Store > Purchased. You are ready to download the "last compatible version" of Evernote. (My second attachment shows NPR News app has the same problem, but in this case you'd rather use the "NPR for iPad" app which is officially provided by the company for the iPad mini users.)

evernote-on-ipad-mini.png

IMG_0665.PNG

Share this post


Link to post
On 7/12/2018 at 12:02 AM, Myungsup said:

I hope polodojo has already solved this problem. 

LOL. Yes, the problem solved. I took a few hundred out of my wallet and donated to Apple in exchange for a new iPad. Thanks for following up, maybe your solution helps other people. 

  • Haha 1

Share this post


Link to post

Oh, you took the "drastic" step of "donating" to Apple! ? I have a piece of sad news, either. As of September 2018, I'm afraid my solution has lost the efficacy. It DID work, and my newly-installed Evernote is still working well on my iPad mini, but I have learned that Apple has changed the App Store and iTunes Store policy again, which means it became much more difficult to access the old versions of the iPad apps for iOS 9.3.5. I like Apple products, but it's hard to accept this type of unkind treatment. If you are interested in the new App Store policy, it's at: https://support.apple.com/en-us/HT208104

  • Like 1

Share this post


Link to post

I followed the approach by Myungsup and Polodojo and it worked fine! Thanks to everyone for providing a solution to the problem. I didn't have to fork out a few hundred for a new Ipad 😉

Share this post


Link to post

hello! i had a similar problem as i use an ipad 3 which only updates to iOS 9.3.5. And cos I updated my mac and windows PC, the itunes app method doesn't work anymore (as mentioned by users above).

i've contacted apple support and got the following response which solved my problem:

- download evernote to your iphone with the latest iOS installed or borrow your friend's phone or iPad; just make sure it has the latest iOS installed on it

- using the same apple ID, login to it on your ipad 3 or whichever device that requires an older version of the evernote app

- go to purchase history and download

- you will be prompted to download the last compatible version of the app.

 

hope it helps!

  • Like 2

Share this post


Link to post
21 hours ago, celebrian said:

hello! i had a similar problem as i use an ipad 3 which only updates to iOS 9.3.5. And cos I updated my mac and windows PC, the itunes app method doesn't work anymore (as mentioned by users above).

i've contacted apple support and got the following response which solved my problem:

- download evernote to your iphone with the latest iOS installed or borrow your friend's phone or iPad; just make sure it has the latest iOS installed on it

- using the same apple ID, login to it on your ipad 3 or whichever device that requires an older version of the evernote app

- go to purchase history and download

- you will be prompted to download the last compatible version of the app.

 

hope it helps!

Brilliant! Yes, when you encounter the pop-up window saying "Do you want to download the last compatible version?", you are almost there.

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...